<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

	<module name="quality" package="com.axelor.apps.quality.db"/>

    <entity name="ArtWork" lang="java">
        <string name="ref" title="Ref" />
        <many-to-one name="product" ref="com.axelor.apps.base.db.Product" title="Product" required="true"/>
        <string name="artWorkType" title="Artwork" selection="quality.artwork.type.select"/>
	    <integer name="statusSelect" title="Status" selection="quality.control.art.work.status.select" readonly="true"/>
        <datetime name="firstDate" title="First validation date" readonly="true"/>
		<many-to-one name="firstApprovedByUser" ref="com.axelor.auth.db.User" readonly="true" title="First approved by"/> 
        <datetime name="secondDate" title="First validation date" readonly="true"/>
		<many-to-one name="secondApprovedByUser" ref="com.axelor.auth.db.User" readonly="true" title="Second approved by"/> 
		<many-to-one name="thirdApprovedByUser" ref="com.axelor.auth.db.User" readonly="true" title="Third approved by"/> 
        <datetime name="thirdDate" title="Third validation date" readonly="true"/>
		<many-to-one name="fourthApprovedByUser" ref="com.axelor.auth.db.User" readonly="true" title="Forth approved by"/> 
        <datetime name="fourthtDate" title="Forth validation date" readonly="true"/>
		<many-to-one name="artWorkFile" ref="com.axelor.meta.db.MetaFile" title="Artwork file" />
        <string name="textColor" title="Text color" />
        <string name="dimensions" title="Dimension" />
        <string name="varnishing" title="Varnishing" />
        <string name="weight" title="Weight" />
        <string name="diameter" title="Diameter" />
        <string name="nature" title="Nature" />
        <string name="direction" title="Direction" />
        <string name="printingSupport" title="Printing support" />
        <many-to-one name="printingSettings" ref="com.axelor.apps.base.db.PrintingSettings" title="Printing settings"/>
        <many-to-one name="company" ref="com.axelor.apps.base.db.Company" title="Company" required="true"/>

	    <extra-code><![CDATA[

	    //STATUS SELECT
	    public static final int STATUS_DRAFT = 1;
	    public static final int STATUS_CANCELED = 2;
	    public static final int STATUS_PLANNED = 3;
	    public static final int STATUS_IN_PROGRESS = 4;
	    public static final int STATUS_STANDBY = 5;
	    public static final int STATUS_FINISHED = 6;

	    ]]></extra-code>

    </entity>

</domain-models>